Bug 2142385 - Unable to directly open attachments from Fedora Evolution Flatpak
Summary: Unable to directly open attachments from Fedora Evolution Flatpak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xdg-desktop-portal
Version: 37
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David King
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-11-13 15:57 UTC by grumpey0
Modified: 2023-01-11 10:05 UTC (History)
10 users (show)

Fixed In Version: xdg-desktop-portal-1.15.0-4.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-30 01:35:08 UTC
Type: Bug


Attachments (Terms of Use)

Description grumpey0 2022-11-13 15:57:52 UTC
Description of problem:
Unable to directly open attachments from Fedora Evolution Flatpak

Version-Release number of selected component (if applicable):
3.46.1 (3.46.1-1.module_f37+15677+998b8b6b)

How reproducible:
Always

Steps to Reproduce:
1. Open up Evolution and select an email with an attachment
2. Right click on attachement and open with default application. 

Actual results:
Nothing happens

Expected results:
Default application opens email attachment

Additional info:
This appears to work correctly in rpm evolution (3.46.1 (3.46.1-1.fc37)) and also for flathubs flatpak evolution.

Comment 1 Milan Crha 2022-11-14 08:18:19 UTC
Thanks for a bug report. I guess it's due to some (missing) flags in the Flatpak manifest. I'll verify that.

Comment 2 Milan Crha 2022-11-14 10:10:28 UTC
There is missing `--filesystem=xdg-run/gvfsd:rw` in the Fedora flatpak, but that doesn't seem to have any influence, when I remove it from the list and use the org.gnome.Platform as the runtime.

There is used `OpenURI` method on `org.freedesktop.portal.Desktop` portal and I see the Fedora-built flatpak doesn't have access to it for some reason.

I move this to the xdg-desktop-portal for further investigation. I know almost nothing about how these things work internally.

Comment 3 pos_ki 2022-11-26 09:20:31 UTC
I believe this might be a similar problem to what I started having with the flatpak version of Firefox after F37 upgrade - `xdg-desktop-portal` has a missing dependency `/usr/bin/fusermount3` - installing package `fuse3` fixed the problem for me. I gave a more detailed description [here](https://www.reddit.com/r/Fedora/comments/z4i3j4/unable_to_open_file_from_this_computer_or_save/)

Comment 4 Fedora Update System 2022-11-26 19:12:19 UTC
FEDORA-2022-9c998c677c has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9c998c677c

Comment 5 Fedora Update System 2022-11-27 03:21:57 UTC
FEDORA-2022-9c998c677c has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9c998c677c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9c998c677c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-11-30 01:35:08 UTC
FEDORA-2022-9c998c677c has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 slt 2023-01-11 09:35:33 UTC
Hello!

The problem still persists here.

My silverblue system is up to date, as well are my flatpak application.

I'm using Evolution from fedora's flatpak repository:

> $ flatpak list | grep Evol
> Evolution       org.gnome.Evolution     3.46.2  stable  fedora  system

(just to be sure, I also reset flatpak overrides via flatseal, closed & reopened Evolution, but it didn't help)

Any help greatly appreciated!

Many thanks:-)

Comment 8 Milan Crha 2023-01-11 09:43:04 UTC
Could you verify you've installed xdg-desktop-portal-1.15.0-4.fc37 and it's in use, please?

Comment 9 slt 2023-01-11 09:57:18 UTC
This kind of simple checks turn out to be diffficult on Silverblue system as the tool 'rpm' is not available :-/

That being said:

> $ busybox strings /usr/libexec/xdg-desktop-portal | head -2
> /lib64/ld-linux-x86-64.so.2
> {"type":"rpm","name":"xdg-desktop-portal","version":"1.15.0-4.fc37","architecture":"x86_64","osCpe":"cpe:/o:fedoraproject:fedora:37"}

and it's running:

> $ ps auxf| grep xdg-desktop-portal
> slt         2373  0.0  0.0 835008 14004 ?        Ssl  10:48   0:00  \_ /usr/libexec/xdg-desktop-portal
> slt         2417  0.0  0.1 688648 38548 ?        Ssl  10:48   0:00  \_ /usr/libexec/xdg-desktop-portal-gnome
> slt         2460  0.0  0.0 593108 27780 ?        Ssl  10:48   0:00  \_ /usr/libexec/xdg-desktop-portal-gtk
> slt         6187  0.0  0.0 222156  2220 pts/6    S+   10:55   0:00  |       \_ grep --device=skip --color=auto xdg-desktop-portal

I'd be happy to give you any other information you might need!

thanks again

Comment 10 Milan Crha 2023-01-11 10:05:47 UTC
I agree, getting such information under Silverblue is tricky. Thank you for verifying there's installed the right version.

I'd say something doesn't work well with the fix then.


Note You need to log in before you can comment on or make changes to this bug.